import Vue from 'vue'
import VueRouter from 'vue-router'
import childrenRouters from "./childrenRouters";

Vue.use(VueRouter)
var mainRouterChildren = []; // eslint-disable-line no-unused-vars

mainRouterChildren = mainRouterChildren.concat(childrenRouters);

const routes = [
  {
    path: '/',
    name: 'MainLayout',
    component: () => import('../views/MainLayout.vue'),
    children: mainRouterChildren
  },
]

const router = new VueRouter({
  routes
})

export default router
